Skip to main content
Api

Runtime

List backend-agent artifacts for local runtime execution

GET
/runtime/backend-agent-artifacts
AuthorizationBearer <token>

API key issued to a Sonzai project. Format: Bearer sk_....

In: header

Response Body

application/json

application/problem+json

curl -X GET "https://loading/api/v1/runtime/backend-agent-artifacts"
{
  "$schema": "/api/v1/schemas/ListRuntimeBackendAgentArtifactsResponse.json",
  "artifacts": [
    {
      "description": "string",
      "disable_tools": true,
      "findings_schema": {
        "property1": null,
        "property2": null
      },
      "max_tool_rounds": 0,
      "model_hint": "string",
      "name": "string",
      "slug": "string",
      "system": "string",
      "tools": [
        "string"
      ],
      "version": "string"
    }
  ]
}
{
  "$schema": "/api/v1/schemas/ErrorModel.json",
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}